Buscar cliente
curl --request GET \
--url https://api.conta.paybeehive.com.br/v1/customers/{customerId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.conta.paybeehive.com.br/v1/customers/{customerId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.conta.paybeehive.com.br/v1/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Bruce Wayne",
"email": "bruce@wayne.com",
"document": {
"number": "12345678909",
"type": "cpf"
},
"externalRef": "cust_ext_001",
"phone": "+5511999999999",
"birthdate": "1990-01-01",
"address": {
"street": "Av. Brigadeiro Faria Lima",
"streetNumber": "1811",
"complement": "Conj 1119",
"neighborhood": "Itaim Bibi",
"city": "São Paulo",
"state": "SP",
"zipCode": "01452001",
"country": "BR"
},
"id": 123,
"createdAt": "2026-01-04T12:00:00Z"
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}{
"message": "Invalid request",
"code": "bad_request",
"details": {}
}Clientes
Buscar cliente
Retorna os dados completos de um cliente pelo customerId.
GET
/
customers
/
{customerId}
Buscar cliente
Authorizations
basicAuthapiKeyAuth
Basic Authorization usando SECRET_KEY como usuário e "x" como senha.
Path Parameters
Response
Cliente
Example:
"Bruce Wayne"
Example:
"bruce@wayne.com"
Show child attributes
Show child attributes
Example:
"cust_ext_001"
Example:
"+5511999999999"
Example:
"1990-01-01"
Show child attributes
Show child attributes
Example:
123
Example:
"2026-01-04T12:00:00Z"
⌘I